# salt.states.win_certutil

## Installing of certificates to the Windows Certificate Manager

Install certificates to the Windows Certificate Manager

    salt://certs/cert.cer:
      certutil.add_store:
        - store: TrustedPublisher

salt.states.win_certutil.add_store(name, store, saltenv='base')

  Store a certificate to the given certificate store

  Parameters:

    - name (str) -- The path to the certificate to add to the store. This is either the path to a local file or a file from the file server in the form of `salt://path/to/file`

    - store (str) -- The certificate store to add the certificate to

    - saltenv (str) -- The salt environment to use. This is ignored if the path is local

  Returns:

    A dictionary containing the results

  Return type:

    dict

  CLI Example:

      add_certificate:
        certutil.add_store:
          name: salt://web_cert.cer
          store: TrustedPublisher

salt.states.win_certutil.del_store(name, store, saltenv='base')

  Remove a certificate from the given certificate store

  Parameters:

    - name (str) -- The path to the certificate to remove from the store. This is either the path to a local file or a file from the file server in the form of `salt://path/to/file`

    - store (str) -- The certificate store to remove the certificate from

    - saltenv (str) -- The salt environment to use. This is ignored if the path is local

  Returns:

    A dictionary containing the results

  Return type:

    dict

  CLI Example:

      remove_certificate:
        certutil.del_store:
          name: salt://web_cert.cer
          store: TrustedPublisher